package com.ai.da.mapper.primary;

import com.ai.da.common.config.mybatis.plus.CommonMapper;
import com.ai.da.mapper.primary.entity.Library;

import java.util.List;

/**
 * Mapper 接口
 *
 * @author easy-generator
 * @since 2022-06-13
 */
public interface LibraryMapper extends CommonMapper<Library> {

    List<Library> selectCommonLib(Long organizationId, String sort, long limit, long offset);

    Long selectCommonLibCount(Long organizationId);

    List<Library> selectAllSubAccLib(Long organizationId, String sort, long limit, long offset);

    Long selectAllSubAccLibCount(Long organizationId);
}
